/*[]=====================================================================[]*/
/*[]     LeadTools Run Time Library - Version 3.6                        []*/
/*[]                                                                     []*/
/*[]                                                                     []*/
/*[]     Copyright (c) 1990, 1993 by LEAD Technologies, Inc.             []*/
/*[]     All Rights Reserved.                                            []*/
/*[]=====================================================================[]*/

L_INT L_PASCAL WinMain(HANDLE hInstance, HANDLE hPrevInstance, 
                       LPSTR lpCmdLine, L_INT nCmdShow); 
L_BOOL InitApplication(HANDLE hInstance);
L_BOOL InitInstance(HANDLE hInstance, L_INT nCmdShow);
L_INT32 EXT_FUNCTION MainWndProc(HWND hWnd, L_UINT Message, WPARAM wParam, 
                                 LPARAM lParam);

L_INT16 L_FAR _export WindowsClose(L_INT16 FD);
L_INT32 L_FAR _export WindowsSeek(L_INT FD, L_INT32 lnPos, L_INT16 nCount);
L_INT16 L_FAR _export WindowsWrite(L_INT16 FD, L_CHAR L_FAR *pBuf, L_INT16 nCount);
L_UINT16 L_FAR _export WindowsRead(L_INT16 FD, L_CHAR L_FAR *pBuf, L_INT16 nCount);
L_INT16 L_FAR _export WindowsOpen(const L_CHAR L_FAR *pFile, L_INT16 nMode, L_INT16 nShare);

#define ACTIVEPALETTE(pBitmap) (((pBITMAPHANDLE) pBitmap)->Flags.FixedPalette ? ((pBITMAPHANDLE) pBitmap)->hFixedPalette : ((pBITMAPHANDLE) pBitmap)->hPalette)

typedef struct tagDATA
{
   BOOL bValidBitmap;           /* indicates that a valid bitmap is loaded */
   char szFilename[128];        /* File name to decompress */
   FILEINFO FileInfo;           /* FILEINFO structure */
   BITMAPHANDLE BitmapHandle;   /* BITMAP HANDLE that will hold decompressed image*/
} DATA;

typedef struct tagUSERDATA
 {
 L_INT32 dwSize;						/* Size of the buffer 				*/
 L_INT32 dwUsed;						/* Number of bytes used 			*/
 L_CHAR L_HUGE *pData;				/* Pointer to the actual buffer 	*/
 L_CHAR L_HUGE *pCurData;			/* Current pointer location 		*/
 } USERDATA, L_FAR *LPUSERDATA;






	
